echo -----------------------------------
echo Using pip to install Python %PY_VER% version of tensorflow-addons
IF "%PY_VER%" == "3.6" (
  set "wheel_url=https://files.pythonhosted.org/packages/8d/53/360862b6df94645292ff5dfe40a54ec2461a9e35daefa2305ace18eb9da0/tensorflow_addons-0.13.0-cp36-cp36m-win_amd64.whl"
)
IF "%PY_VER%" == "3.7" (
  set "wheel_url=https://files.pythonhosted.org/packages/b0/66/25d907deef9bcdbcda4a762c6615c1c56aa62745c0bad87e827efa40f788/tensorflow_addons-0.13.0-cp37-cp37m-win_amd64.whl"
)
IF "%PY_VER%" == "3.8" (
  set "wheel_url=https://files.pythonhosted.org/packages/d5/05/5a4b7a0dd4e251c5f9667d41fccb6dacbb1220b67fa4444fcf963be1258f/tensorflow_addons-0.13.0-cp38-cp38-win_amd64.whl"
)
IF "%PY_VER%" == "3.9" (
  set "wheel_url=https://files.pythonhosted.org/packages/fc/6b/0c7bcff30ff3b821fac104682710f6cf92465c13a89ef1d352056a57ca4b/tensorflow_addons-0.13.0-cp39-cp39-win_amd64.whl"
)

if "%wheel_url%" == "" (
    echo Unsupported Python version %PY_VER%.
    exit 1
)

pip install --no-deps %wheel_url% -vv
if errorlevel 1 exit 1
